//@+leo

//@+node:0::@file src/globals.h
//@+body
//@@language c

/*
    rox-tasklist    provides a tasklist for the rox desktop
    Copyright (C) 2002  Robert Lowe

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    The author may be contacted at pngwen@acm.org
*/
#include<gtk/gtk.h>
#include "config-gui.h"

#ifndef GLOBALS_DEFINED
#define GLOBALS_DEFINED

GtkWidget* mainbox;  /* the main hbox of the window */
GtkWidget* mainwin;
GtkWidget* view;
GtkWidget* winbox;
GtkWidget* viewbox;
GtkWidget* viewscroll;
GdkColor normal_color;
GdkColor iconic_color;
GtkWidget* GeneralMenu;
config_options_type config_options;
GList* tasklist;
gboolean isapplet;

int taskbutton_count;

int taskbutton_height;
int taskbutton_width;

#endif


//@-body
//@-node:0::@file src/globals.h
//@-leo
